Start
curl --request POST \
--url https://{host}/api/governance/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_id": "<string>",
"revision": "<string>",
"mapping": "<string>",
"note": "<string>",
"paths": []
}
'import requests
url = "https://{host}/api/governance/runs"
payload = {
"source_id": "<string>",
"revision": "<string>",
"mapping": "<string>",
"note": "<string>",
"paths": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_id: '<string>',
revision: '<string>',
mapping: '<string>',
note: '<string>',
paths: []
})
};
fetch('https://{host}/api/governance/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"execution_id": "<string>",
"run_id": "<string>",
"queued": true,
"units": 4611686018427388000
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}POST
/
api
/
governance
/
runs
Start
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Required string length:
1 - 256Available options:
sft, preference, evaluation, custom Body
application/json